import { Injectable } from '@nestjs/common';
import { BaseUpdateStatusManager } from 'src/core/modules/domain/usecase/managers/base-update-status.manager';
import { ItemQueueEntity } from '../../entities/item-queue.entity';
import {
  EventTopics,
  validateRelations,
} from 'src/core/strings/constants/interface.constants';
import { ItemQueueModel } from '../../../data/models/item-queue.model';

@Injectable()
export class ActiveItemQueueManager extends BaseUpdateStatusManager<ItemQueueEntity> {
  getResult(): string {
    return `Success active data ${this.result.name}`;
  }

  async validateProcess(): Promise<void> {
    return;
  }

  async beforeProcess(): Promise<void> {
    return;
  }

  async afterProcess(): Promise<void> {
    return;
  }

  get validateRelations(): validateRelations[] {
    return [];
  }

  get entityTarget(): any {
    return ItemQueueModel;
  }

  get eventTopics(): EventTopics[] {
    return [];
  }
}
